API reference
Approvals
API reference descriptions are provided in English to preserve the exact published contract.
List approval requests
GET /v1/accounts/{AC}/approvals
getV1AccountsByAcApprovalsPaginated200
Required scope: `approvals:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Create an approval request
POST /v1/accounts/{AC}/approvals
postV1AccountsByAcApprovalsIdempotency-Key required201
Required scope: `approvals:request`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (7 fields)
Request body| Name | Type | Required | Description |
|---|
action | string (pattern ^[A-Z][A-Z0-9_]*$, max 128 chars) | yes | |
caseRef | string (max 128 chars) | | |
expiresAt | string (date-time) | | |
reason | string (max 2000 chars) | yes | |
requiredApproverRole | string (max 64 chars) | yes | |
resourceRef | string (max 256 chars) | yes | |
riskClass | "STANDARD" | "HIGH" | "CRITICAL" | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Approve an approval request
POST /v1/accounts/{AC}/approvals/{AP}/approve
postV1AccountsByAcApprovalsByApApproveIdempotency-Key required200
Required scope: `approvals:decide`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
AP | path · string (AP… SID) | yes | |
Request body (2 fields)
Request body| Name | Type | Required | Description |
|---|
decisionNote | string (max 2000 chars) | yes | |
stepUpToken | string (max 256 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Reject an approval request
POST /v1/accounts/{AC}/approvals/{AP}/reject
postV1AccountsByAcApprovalsByApRejectIdempotency-Key required200
Required scope: `approvals:decide`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
AP | path · string (AP… SID) | yes | |
Request body (2 fields)
Request body| Name | Type | Required | Description |
|---|
decisionNote | string (max 2000 chars) | yes | |
stepUpToken | string (max 256 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Withdraw an approval request
POST /v1/accounts/{AC}/approvals/{AP}/withdraw
postV1AccountsByAcApprovalsByApWithdrawIdempotency-Key required200
Required scope: `approvals:request`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
AP | path · string (AP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.